# Directory containing class headers.
SET(VTK_PVCLIENTSERVERCORE_HEADER_DIR "${VTK_INSTALL_PREFIX}/include")

# Classes in vtkPVClientServerCore.
SET(VTK_PVCLIENTSERVERCORE_CLASSES
  "vtk3DWidgetRepresentation"
  "vtkCaveSynchronizedRenderers"
  "vtkChartRepresentation"
  "vtkClientServerMoveData"
  "vtkCompleteArrays"
  "vtkCompositeRepresentation"
  "vtkCubeAxesRepresentation"
  "vtkDataLabelRepresentation"
  "vtkGeometryRepresentation"
  "vtkGeometryRepresentationWithFaces"
  "vtkGlyph3DRepresentation"
  "vtkImageSliceDataDeliveryFilter"
  "vtkPVImageSliceMapper"
  "vtkImageSliceRepresentation"
  "vtkImageVolumeRepresentation"
  "vtkMPIMToNSocketConnection"
  "vtkMPIMToNSocketConnectionPortInformation"
  "vtkMPIMoveData"
  "vtkNetworkAccessManager"
  "vtkNetworkImageSource"
  "vtkOutlineRepresentation"
  "vtkPV2DRenderView"
  "vtkPVAlgorithmPortsInformation"
  "vtkPVArrayInformation"
  "vtkPVBarChartView"
  "vtkPVCacheKeeper"
  "vtkPVCacheKeeperPipeline"
  "vtkPVCacheSizeInformation"
  "vtkPVCameraAnimationCue"
  "vtkPVCameraCueManipulator"
  "vtkPVCameraKeyFrame"
  "vtkPVClassNameInformation"
  "vtkPVClientServerSynchronizedRenderers"
  "vtkPVCompositeDataInformation"
  "vtkPVCompositeDataInformationIterator"
  "vtkPVCompositeRepresentation"
  "vtkPVContextView"
  "vtkPVDataInformation"
  "vtkPVDataRepresentation"
  "vtkPVDataRepresentationPipeline"
  "vtkPVDataSetAttributesInformation"
  "vtkPVDataSizeInformation"
  "vtkPVDisplayInformation"
  "vtkPVEnvironmentInformation"
  "vtkPVEnvironmentInformationHelper"
  "vtkPVFileInformation"
  "vtkPVFileInformationHelper"
  "vtkPVGenericAttributeInformation"
  "vtkPVImplicitPlaneRepresentation"
  "vtkPVInformation"
  "vtkPVLastSelectionInformation"
  "vtkPVLineChartView"
  "vtkPVOpenGLExtensionsInformation"
  "vtkPVOptions"
  "vtkPVOptionsXMLParser"
  "vtkPVParallelCoordinatesChartView"
  "vtkPVParallelCoordinatesRepresentation"
  "vtkPVPlugin"
  "vtkPVPluginLoader"
  "vtkPVPluginTracker"
  "vtkPVPluginsInformation"
  "vtkPVProgressHandler"
  "vtkPVPythonModule"
  "vtkPVPythonPluginInterface"
  "vtkPVRenderView"
  "vtkPVRepresentedDataInformation"
  "vtkPVSILInformation"
  "vtkPVSelectionInformation"
  "vtkPVServerInformation"
  "vtkPVServerManagerPluginInterface"
  "vtkPVServerOptions"
  "vtkPVSession"
  "vtkPVSynchronizedRenderWindows"
  "vtkPVSynchronizedRenderer"
  "vtkPVTemporalDataInformation"
  "vtkPVTimerInformation"
  "vtkPVView"
  "vtkPVXYChartView"
  "vtkProcessModule"
  "vtkProcessModuleAutoMPI"
  "vtkSelectionDeliveryFilter"
  "vtkSelectionRepresentation"
  "vtkSession"
  "vtkSessionIterator"
  "vtkSpreadSheetRepresentation"
  "vtkSpreadSheetView"
  "vtkTCPNetworkAccessManager"
  "vtkTextSourceRepresentation"
  "vtkUnstructuredDataDeliveryFilter"
  "vtkUnstructuredGridVolumeRepresentation"
  "vtkXMLPVAnimationWriter"
  "vtkXYChartRepresentation"
  "vtkIceTSynchronizedRenderers"
  "vtkPythonAnimationCue"
  "vtkPythonCalculator"
  "vtkPythonProgrammableFilter"
  "vtkPVMPICommunicator")

# Abstract classes in vtkPVClientServerCore.
SET(VTK_PVCLIENTSERVERCORE_CLASSES_ABSTRACT
  "vtkNetworkAccessManager"
  "vtkPVContextView"
  "vtkPVDataRepresentation"
  "vtkPVInformation"
  "vtkPVPlugin"
  "vtkPVPluginTracker"
  "vtkPVPythonPluginInterface"
  "vtkPVServerManagerPluginInterface"
  "vtkPVSession"
  "vtkPVView"
  "vtkSession")

# Wrap-exclude classes in vtkPVClientServerCore.
SET(VTK_PVCLIENTSERVERCORE_CLASSES_WRAP_EXCLUDE
  "vtkPVOptionsXMLParser"
  "vtkPVPlugin"
  "vtkPVPythonPluginInterface"
  "vtkPVServerManagerPluginInterface"
  "vtkPVServerOptions"
  "vtkProcessModuleAutoMPI"
  "vtkPVMPICommunicator")

# Wrap-special classes in vtkPVClientServerCore.
SET(VTK_PVCLIENTSERVERCORE_CLASSES_WRAP_SPECIAL)

# Wrappable non-class headers for vtkPVClientServerCore.
SET(VTK_PVCLIENTSERVERCORE_WRAP_HEADERS)

# Set convenient variables to test each class.
FOREACH(class ${VTK_PVCLIENTSERVERCORE_CLASSES})
  SET(VTK_CLASS_EXISTS_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_PVCLIENTSERVERCORE_CLASSES_ABSTRACT})
  SET(VTK_CLASS_ABSTRACT_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_PVCLIENTSERVERCORE_CLASSES_WRAP_EXCLUDE})
  SET(VTK_CLASS_WRAP_EXCLUDE_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_PVCLIENTSERVERCORE_CLASSES_WRAP_SPECIAL})
  SET(VTK_CLASS_WRAP_SPECIAL_${class} 1)
ENDFOREACH(class)
